Subject: bug#69912: closed (Re: bug#69912: configure tries to find libgccjit when --with-native-compilation=no)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Mar 2024 16:29:02 +0000

Your bug report

#69912: configure tries to find libgccjit when --with-native-compilation=no

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69912: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69912
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69912: configure tries to find libgccjit when --with-native-compilation=no
From: Andrea Corallo <[email-masked]>
To: Pedro Andres Aranda Gutierrez <[email-masked]>
Cc: Gerd Möllmann <[email-masked]>, [email-masked]
Date: Wed, 20 Mar 2024 12:27:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Pedro Andres Aranda Gutierrez <[email-masked]> writes:

> Close this and apologies... I really need a break 
> /PA

Done

Thanks

  Andrea

Subject: configure tries to find libgccjit when --with-native-compilation=no
From: Pedro Andres Aranda Gutierrez <[email-masked]>
To: [email-masked]
Date: Wed, 20 Mar 2024 11:47:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When I compile Emacs for macOS, I disable native-compilation for good:

./configure PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
            LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include” \
            CC=clang OBJC=clang CFLAGS="-g -O3”
            --with-ns --with-modules --with-jansson \
            --with-native-compilation=no

I keep getting all these messages about GCCJIT:

checking for gcc_jit_context_acquire in -lgccjit… no
configure: WARNING: Elisp native compiler can't be enabled as libgccjit was not
found.
Please try installing libgccjit or a similar package if you want to have it
enabled.
checking for libgccjit.h… no
configure: WARNING: Elisp native compiler can't be enabled as libgccjit header files
were not found.
Please try installing libgccjit-dev or a similar package if you want to have it
enabled

I really DO NOT want notice compilation here…and I know that I’m doing.